Bug 316163

Summary: Progress graph right end disappears on window shrink
Product: ktouch Reporter: Marko Paasila <marko>
Component: generalAssignee: Sebastian Gottfried <sebastian.gottfried>
Status: RESOLVED FIXED    
Severity: minor    
Priority: NOR    
Version: 2.0.0   
Target Milestone: ---   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.10.2

Description Marko Paasila 2013-03-05 12:02:55 UTC
When i finnish a lesson the graph that displays my progress appears. If I extend the window and then shrink it back, the right end of the graph disappears. No big deal, but I think the right end is of interest, so it should stay visible. 

Reproducible: Always

Steps to Reproduce:
1. Finnish a lesson
2. Drag window border to make window wider.
3. Drag window border to make window narrower.
4. See how the right end of the graph vanishes
Actual Results:  
The visible part of the graph before window shrink is centered to the new window size

Expected Results:  
The graph (if wider than window) should be aligned to the right side so the left end isn't visible
Comment 1 Sebastian Gottfried 2013-03-05 13:18:10 UTC
I will look into the code to see whether it's possible to improve the behavior there.

Do you know that the graph is dragable? That way you can reveal the hidden sections.
Comment 2 Marko Paasila 2013-03-06 14:21:20 UTC
Indeed, I didn't notice that. It looked so solid, and it didn't scroll "under" anything, like the input field does.
Comment 3 Sebastian Gottfried 2013-03-28 18:11:20 UTC
Git commit 0736766704f3c5f1e9a15d27ee9d5d756a81d74c by Sebastian Gottfried.
Committed on 28/03/2013 at 17:39.
Pushed by gottfried into branch 'KDE/4.10'.

graph plugin: fix shrinking behavior of line graph

The data points on the right side are considered more important than
the ones on the left side, so clipping starts on left side now. This
way the most recent data points stay visible when the window containing
the graph is resized to a smaller geometry.
FIXED-IN: 4.10.2

M  +10   -0    src/graph-plugin/qml/LineGraph.qml

http://commits.kde.org/ktouch/0736766704f3c5f1e9a15d27ee9d5d756a81d74c
Comment 4 Marko Paasila 2013-03-28 20:36:48 UTC
Wow you open source guys are amazing! To be honest I didn't actually beleive this minor nuisance to be addressed, and it's already fixed! I never received such good service for proprietary software.

Thanks!